import * as planck from 'planck'
import { SegmentZone } from '../data/segment'

export class Zone {
  fixture: planck.Fixture|undefined
  type: 'solid'|'fluid'
  points: [number, number][]
  constructor(z: SegmentZone) {
    this.type = z.type
    this.points = z.points.map(v=>[v[0], v[1]])
  }
}

